caja-actions-new(1)

NAME
caja-actions-new - create new caja actions

SYNOPSIS
caja-actions-new [OPTION]

DESCRIPTION
caja-actions-new creates new actions for the caja file manager non-interactively via the commandline. Action attributes are specified via command-line options.

OPTIONS
Help options

-?, -h, --help Show help options

--help-all Show all help options

--help-output Choose where the program creates the action

Action-creation options

-l, --label=LABEL The label of the menu item (amndatory)

-t, --tooltip=TOOLTIP The tooltip of the menu

-i, --icon=ICON The icon of the menu item (filename or GTK stock
    ID)

-c, --command=PATH The path of the command

-p, --parameters=PARAMS The parameters of the command

-m, --match=EXPR A pattern to match selected files against. May
    include wildcards (*or?) (you must set one option for each pattern you need)

-C, --match-case=PATH The path command

-T, --mimetypes=EXPR A pattern to match selected files' mimetype
    against. May include wildcards (*or?) (you must set one option for each pattern you need)

-f, --accept-files Set it if selection must only contain files

-d, --accept-dirs Set it if the selection must only contain folders.
    Specify both '--isfile' and '--isdir' options is selection can contain both types of items

-M, --accept-multiple-files Set it if the selection can have several
    items

-s, --scheme=SCHEME A valid GVFS scheme where the selected files
    should be located (you must set onw option for each scheme you need)

AUTHOR
caja-actions has been derived from nautilus-actions which has been written by Rodrigo Moya <rodrigo[AT]novell.com>, Frederic Ruaudel <grumz[AT]grumz.net>, Pierre Wieser <pwieser[AT]trychlos.org>, and contributors.

The porting work to the MATE desktop environment under the extension name caja-actions has been done by Wolfgang Ulbrich <chat-to-me[at]raveit.de>.

This manual page was written Vangelis Mouhtsis <vangelis[AT]gnugr.org>, for the Debian MATE Packaging Team, and may be used by others.

LICENSING
Both the caja-actions source code and this man page are licensed under the GNU General Public License (v2 or higher).